# Interface VulkanPhysicalDeviceFeatures14Type

All Known Implementing Classes:
  `VulkanPhysicalDeviceFeatures14`

@Immutable public interface VulkanPhysicalDeviceFeatures14Type
The features supported by a physical Vulkan 1.4 device.

See Also:
  - "VkPhysicalDeviceVulkan14Features"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default boolean`
  `bresenhamLines()`
  Indicates whether the implementation supports the VK_LINE_RASTERIZATION_MODE_BRESENHAM line rasterization mode.
  `default boolean`
  `dynamicRenderingLocalRead()`
  Indicates whether the implementation supports the VK_RENDERING_LOCAL_READ_LINEAR_READ_ATTACHMENT_FB_READ flag.
  `default boolean`
  `globalPriorityQuery()`
  Indicates whether the implementation supports the ability to query global queue priorities.
  `default boolean`
  `hostImageCopy()`
  Indicates whether the implementation supports host image copy.
  `default boolean`
  `indexTypeUint8()`
  Indicates whether the VK_INDEX_TYPE_UINT8 index type is supported.
  `default boolean`
  `maintenance5()`
  Indicates whether the implementation supports the ability to query maintenance5 features.
  `default boolean`
  `maintenance6()`
  Indicates whether the implementation supports the ability to query maintenance6 features.
  `default boolean`
  `pipelineRobustness()`
  Indicates whether the implementation supports pipelineRobustness.
  `default boolean`
  `pushDescriptor()`
  Indicates whether the implementation supports push descriptors.
  `default boolean`
  `rectangularLines()`
  Indicates whether the implementation supports the VK_LINE_RASTERIZATION_MODE_RECTANGULAR line rasterization mode.
  `default boolean`
  `shaderExpectAssume()`
  Indicates whether shader modules can declare the Assume capability.
  `default boolean`
  `shaderFloatControls2()`
  Indicates whether shader modules can declare the FloatControls2 capability.
  `default boolean`
  `shaderSubgroupRotate()`
  Indicates whether shader modules can declare the GroupNonUniformRotateKHR capability.
  `default boolean`
  `shaderSubgroupRotateClustered()`
  Indicates whether shader modules can declare the GroupNonUniformClusteredRotateKHR capability.
  `default boolean`
  `smoothLines()`
  Indicates whether the implementation supports smooth lines with a functionally correct and deterministic rasterization coverage mask.
  `default boolean`
  `stippledRectangularLines()`
  Indicates whether the implementation supports stippled rectangular lines with theVK_LINE_RASTERIZATION_MODE_RECTANGULAR line rasterization mode.
  `default boolean`
  `stippledSmoothLines()`
  Indicates whether the implementation supports stippled smooth lines.
  `default boolean`
  `vertexAttributeInstanceRateDivisor()`
  Indicates whether the implementation supports non-zero divisor values for vertex attribute fetch with divisor.
  `default boolean`
  `vertexAttributeInstanceRateZeroDivisor()`
  Indicates whether the implementation supports a divisor value of zero for vertex attribute fetch with divisor.

- ## Method Details

  - ### globalPriorityQuery

    @Default default boolean globalPriorityQuery()
    Indicates whether the implementation supports the ability to query global queue priorities.
    Returns:
      `true` if supported

  - ### shaderSubgroupRotate

    @Default default boolean shaderSubgroupRotate()
    Indicates whether shader modules can declare the GroupNonUniformRotateKHR capability.
    Returns:
      `true` if supported

  - ### shaderSubgroupRotateClustered

    @Default default boolean shaderSubgroupRotateClustered()
    Indicates whether shader modules can declare the GroupNonUniformClusteredRotateKHR capability.
    Returns:
      `true` if supported

  - ### shaderFloatControls2

    @Default default boolean shaderFloatControls2()
    Indicates whether shader modules can declare the FloatControls2 capability.
    Returns:
      `true` if supported

  - ### shaderExpectAssume

    @Default default boolean shaderExpectAssume()
    Indicates whether shader modules can declare the Assume capability.
    Returns:
      `true` if supported

  - ### rectangularLines

    @Default default boolean rectangularLines()
    Indicates whether the implementation supports the VK_LINE_RASTERIZATION_MODE_RECTANGULAR line rasterization mode.
    Returns:
      `true` if supported

  - ### bresenhamLines

    @Default default boolean bresenhamLines()
    Indicates whether the implementation supports the VK_LINE_RASTERIZATION_MODE_BRESENHAM line rasterization mode.
    Returns:
      `true` if supported

  - ### smoothLines

    @Default default boolean smoothLines()
    Indicates whether the implementation supports smooth lines with a functionally correct and deterministic rasterization coverage mask.
    Returns:
      `true` if supported

  - ### stippledRectangularLines

    @Default default boolean stippledRectangularLines()
    Indicates whether the implementation supports stippled rectangular lines with theVK_LINE_RASTERIZATION_MODE_RECTANGULAR line rasterization mode.
    Returns:
      `true` if supported

  - ### stippledSmoothLines

    @Default default boolean stippledSmoothLines()
    Indicates whether the implementation supports stippled smooth lines.
    Returns:
      `true` if supported

  - ### vertexAttributeInstanceRateDivisor

    @Default default boolean vertexAttributeInstanceRateDivisor()
    Indicates whether the implementation supports non-zero divisor values for vertex attribute fetch with divisor.
    Returns:
      `true` if supported

  - ### vertexAttributeInstanceRateZeroDivisor

    @Default default boolean vertexAttributeInstanceRateZeroDivisor()
    Indicates whether the implementation supports a divisor value of zero for vertex attribute fetch with divisor.
    Returns:
      `true` if supported

  - ### indexTypeUint8

    @Default default boolean indexTypeUint8()
    Indicates whether the VK_INDEX_TYPE_UINT8 index type is supported.
    Returns:
      `true` if supported

  - ### dynamicRenderingLocalRead

    @Default default boolean dynamicRenderingLocalRead()
    Indicates whether the implementation supports the VK_RENDERING_LOCAL_READ_LINEAR_READ_ATTACHMENT_FB_READ flag.
    Returns:
      `true` if supported

  - ### maintenance5

    @Default default boolean maintenance5()
    Indicates whether the implementation supports the ability to query maintenance5 features.
    Returns:
      `true` if supported

  - ### maintenance6

    @Default default boolean maintenance6()
    Indicates whether the implementation supports the ability to query maintenance6 features.
    Returns:
      `true` if supported

  - ### pipelineRobustness

    @Default default boolean pipelineRobustness()
    Indicates whether the implementation supports pipelineRobustness.
    Returns:
      `true` if supported

  - ### hostImageCopy

    @Default default boolean hostImageCopy()
    Indicates whether the implementation supports host image copy.
    Returns:
      `true` if supported

  - ### pushDescriptor

    @Default default boolean pushDescriptor()
    Indicates whether the implementation supports push descriptors.
    Returns:
      `true` if supported